Subject: Re: Service, Server, Dataset

From: Nicolas Popp <[email-masked]>
Date: Fri, 2 Jun 2000 17:56:32 -0700

Don't you need datasetURI to be a property so that a query can specify which
dataset it wants to query...or are you planning to allow <serviceref ref="1"
dataseturi="foo:bar" /> within the query?

-Nico

-----Original Message-----
From: Michael Mealling [mailto:[email-masked]]
Sent: Friday, June 02, 2000 2:26 PM
To: [email-masked]
Subject: Re: Service, Server, Dataset

On Fri, Jun 02, 2000 at 04:08:25PM -0400, Leslie Daigle wrote:
> Are there proposals for improvement of this, or do people think
> that cnrp SHOULD NOT support the concept of datasets?

After noodling on this abit, the only improvement I could think of would
be to make the dataset object peer (as far as the xml is concerned)
with the serviceURI and allow (not require) it in the actual
referral and resourcedescriptor objects.

I.e.:

The referral tag which looks like this right now:
<!ELEMENT referral (serviceRef)>
<!ELEMENT serviceref EMPTY>
<!ATTLIST serviceref ref IDREF #IMPLIED>

Which looks like this <referral><serviceref ref="1" /></referral>

would look like this:

<!ELEMENT referral (serviceRef)>
<!ELEMENT serviceref EMPTY>
<!ATTLIST serviceref ref IDREF #IMPLIED>
<!ATTLIST serviceref dataseturi CDATA "">

Giving us this:
<referral><serviceref ref="1" dataseturi="foo:bar" /></referral>

The reason why this is an improvement is because a) it still doesn't
require datasets to exist b) its easier to parse and get to. The parsing
required to get to a property withing a referenced Service isn't
trivial and if the dataset is there and important it should be closer
to the thing that needs it....

I.e. if we decide that its important enough to add as a well known
property then I suggest we go ahead and make life for the poor developer
easier by making it available with less effort....

-MM

--
----------------------------------------------------------------------------
----
Michael Mealling        |      Vote Libertarian!       |
www.rwhois.net/michael
Sr. Research Engineer   |   www.ga.lp.org/gwinnett     | ICQ#:
14198821
Network Solutions       |          www.lp.org          |
[email-masked]